Bug 978596 - Compress tarball with xz
Compress tarball with xz
Status: NEW
Product: Fedora
Classification: Fedora
Component: ogre (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
: EasyFix, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 17:37 EDT by Ville Skyttä
Modified: 2015-05-29 19:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Compress tarball with xz (1002 bytes, patch)
2014-06-30 06:13 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2013-06-26 17:37:34 EDT
Compressing the tarball with xz -e instead of bzip2 would save about 17 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336 and let me know if you'd like me to take care of this for devel.
Comment 1 Fedora End Of Life 2013-09-16 10:16:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Martin Preisler 2014-06-11 08:45:40 EDT
Hi,

are you suggesting that we extract the tarball and repack it? I think there is more value in using upstream tarball as is. In my eyes it's well worth the 17 MB.

Suggesting this switch to the upstream is another matter of course and I fully support it.
Comment 3 Ville Skyttä 2014-06-30 06:13:03 EDT
Created attachment 913296 [details]
Compress tarball with xz

(In reply to Martin Preisler from comment #2)
> are you suggesting that we extract the tarball and repack it? I think there
> is more value in using upstream tarball as is.

You are already shipping a modified non-upstream tarball; while that's the case I don't see a reason not to switch to xz. See the attached (untested) patch.
Comment 4 Fedora End Of Life 2015-05-29 05:08:20 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.